<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB015 extends Record {
    /**
     * @var array Lista de colunas esperadas para o bloco
     */   
    protected $templateColumns = [
        [
            "name" => "type_seg_2",
            "position" => "1",
            "size" => "4",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "type_seg_3",
            "position" => "5",
            "size" => "15",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "type_seg_4",
            "position" => "20",
            "size" => "15",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "type_seg_5",
            "position" => "35",
            "size" => "15",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "type_seg_6",
            "position" => "50",
            "size" => "15",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "type_seg_7",
            "position" => "65",
            "size" => "15",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "filler_1",
            "position" => "80",
            "size" => "36",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];


    public function __construct($values = null) {
        $this->createColumns();
    }


}