<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB354 extends Record {
    /**
     * @var array Lista de colunas esperadas para o bloco
     */   
    protected $templateColumns = [
       
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

        [
            'name' => "date_occur",
            'position' => 5,
            'size' => 8,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "source",
            'position' => 13,
            'size' => 40,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

        [
            'name' => "filler_1",
            'position' => 53,
            'size' => 63,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

    ];


    public function __construct($values = null) {
        $this->createColumns();
    }


}